# class StorageType |
Full name | `Snmp::StorageType`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- StorageType ()
- StorageType (void* data, int len)
- ~StorageType ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int32_t m_StorageType
- static const int32_t s_other_StorageType
- static const int32_t s_volatile_StorageType
- static const int32_t s_nonVolatile_StorageType
- static const int32_t s_permanent_StorageType
- static const int32_t s_readOnly_StorageType

## Detailed Description

static const int s_type | ### s_type

int32_t m_StorageType | ### m_StorageType

static const int32_t s_other_StorageType | ### s_other_StorageType

static const int32_t s_volatile_StorageType | ### s_volatile_StorageType

static const int32_t s_nonVolatile_StorageType | ### s_nonVolatile_StorageType

static const int32_t s_permanent_StorageType | ### s_permanent_StorageType

static const int32_t s_readOnly_StorageType | ### s_readOnly_StorageType

StorageType () | ### StorageType

StorageType (void* data, int len) | ### StorageType

~StorageType () | ### ~StorageType

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.